> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balances

> Retrieves the current balance of a custody wallet managed by Kravata for a specific user. This endpoint allows you to check the available funds in a given wallet for monitoring, reporting, or transactional purposes.

## Request

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | The access token that authenticates the request. |

## Response

Upon a successful request, the server will respond with the following details:

| **Field** | **Description** |
| --- | --- |
| **balance** | The current balance of the wallet in the specified token. |
| **symbol** | The token associated with the wallet, indicating which digital asset the balance refers to. |



## OpenAPI

````yaml /stack/openapi.json get /api/v1/admin/balances
openapi: 3.1.0
info:
  title: Kravata Stack API
  version: '2.0'
  description: >-
    Kravata Stack API: users, accounts, custody wallets, liquidity ramps and
    fiat payments.
servers:
  - url: https://test-api-kore.kravata.co
    description: Test
  - url: https://partners-api.kravata.co
    description: Production (mTLS + IP allowlist)
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Users
  - name: Accounts
  - name: Earn
  - name: Custody
  - name: Liquidity Ramps
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/admin/balances:
    get:
      tags:
        - Custody
      summary: Get Balances
      description: >-
        Retrieves the current balance of a custody wallet managed by Kravata for
        a specific user. This endpoint allows you to check the available funds
        in a given wallet for monitoring, reporting, or transactional purposes.


        ## Request


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | The access token that authenticates the
        request. |


        ## Response


        Upon a successful request, the server will respond with the following
        details:


        | **Field** | **Description** |

        | --- | --- |

        | **balance** | The current balance of the wallet in the specified
        token. |

        | **symbol** | The token associated with the wallet, indicating which
        digital asset the balance refers to. |
      operationId: get-balances
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        user_id:
                          type: string
                        symbol:
                          type: string
                        network:
                          type: string
                        visible_balance:
                          type: string
                        total_operations:
                          type: integer
                        last_operation_date:
                          type: string
                  total:
                    type: integer
                  page:
                    type: integer
                  page_size:
                    type: integer
                  order_by: {}
                  order_dir:
                    type: string
              examples:
                get-all-balances:
                  summary: Get all balances
                  value:
                    items:
                      - user_id: 67960e40-0b5a-465d-8d78-610d7eff2785
                        symbol: COPM
                        network: POLYGON
                        visible_balance: '292.09000000'
                        total_operations: 6
                        last_operation_date: '2026-07-03T23:04:44.356476'
                      - user_id: ed0e63ed-de0a-4db7-8048-3648090d21d2
                        symbol: COPM
                        network: POLYGON
                        visible_balance: '0E-8'
                        total_operations: 3
                        last_operation_date: '2026-07-03T23:04:44.448332'
                    total: 2
                    page: 1
                    page_size: 10
                    order_by: null
                    order_dir: asc
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token from POST /api/v1/client/token.

````